SBOPKG(8)

NOMBRE
sbopkg - el buscador de paquetes de SlackBuilds.org

SINOPSIS
sbopkg [opciones]

DESCRIPTION
Sbopkg es una linea de comandos basada en la herramienta dialog para interactuar con el repositorio SlackBuilds.org (``Sbo''), una coleccion de scripts de terceros para construir paquetes Slackware.

  Instrucciones
Sbopkg su uso asume un entendemiento de SlackBuilds, generalmente, y el repositorio de terceros de SBo, especificamente. Para saber mas, leer http://www.slackbuilds.org/howto/ y las paginas en http://www.slackwiki.org sobre SlackBuilds es muy aconsejable.

Para usar sbopkg , un archivo de configuracion debe existir en /etc/sbopkg/sbopkg.conf. Una instalacion inicial le proporcionara al usuario ese archivo, mientras que las actualizaciones añadiran un /etc/sbopkg/sbopkg.conf.new el cual se fusionara o reemplazara con versiones antiguas. Ver sbopkg.conf(5) para mas informacion sobre el archivo de configuracion.

Sbopkg debe ser iniciado como usuario root (desde que SBo SlackBuilds son escritos con la intencion de ser iniciados como root). Ademas, usar la opcion - con su es muy aconsejado. La razon es porque algunos SlackBuilds confian en que algunas herramientas lo hagan disponible para el PATH de root, mientras los scripts en /etc/profile.d han sido iniciados (p.e., texmf para construir paginas man), las cuales son solo hechas para shells de entrada, o de otra manera requieren un entorno root ``mas verdadero'' del que solo le es proporcionado por su. En cualquier caso, invocando sbopkg sin ningun argumento (o con solo -d, -f, o -V) lanzara la interfaz basada en dialog , y los menus proporcionados deben ser explicados por si mismos.

El menu principal permite al usuario sincronizarse con el repositorio SBo. Este es el primer paso que se debe tomar (despues de la configuracion) con una nueva instalacion de sbopkg. Actualmente, el tamaño de una copia local del repositorio SBo, es aproximadamente de 90MB. El menu principal tambien permite al usuario ver el SBo ChangeLog, que busca actualizaciones potenciales de los paquetes SBo, mostrando los contenidos del directorio de cache local donde los paquetes de codigo fuente son salvados, mostrando siempre el log de construccion, y ve o busca una copia local del repositorio SBo. Una vez que la funcion ver es elegida, el usuario puede escoger la categoria de software para ver. Despues de escoger una categoria, el usuario puede entonces ver los diferentes paquetes de software disponibles en esa categoria dentro del repositorio SBo local. Al seleccionar un paquete, se mostrara otro menu permitiendo al usuario ver los archivos del paquete README, SlackBuild, .info, o slack-desc . El usuario tambien puede editar el archivo .info y SlackBuild y los archivos editados lo seguiran siendo despues de hacer la sincronizacion. Ademas, el usuario puede escoger construir el SlackBuild original o el editado localmente, si esta presente. Si se usa la interfaz dialog y si sbopkg encuentra un paquete construido para una pieza particular de software en el directorio de SALIDA , entonces sbopkg añadira automaticamente una nueva entrada de menu permitiendo al usuario instalar el paquete si el lo elige. Alternativamente, el usuario puede escoger una construcción automatica, o una construccion e instalacion, paquetes individuales o varios paquetes en una construccion de cola. Finalmente, si KEEPLOG está establecido como YES en el archivo sbopkg.conf entonces un log permanente de construcciones procesadas es guardado. Ver sbopkg.conf(5) bajo KEEPLOG y LOGFILE para mas detalles.

Alternativamente, sbopkg puede ser iniciado desde la linea de comandos sin utilizar la interfaz dialog . Ver la seccion OPCIONES para saber los comandos de opciones disponibles.

Sbopkg tambien tiene la capacidad de cargar, salvar y usar archivos de cola creados por el usuario. Estes archivos de cola son archivos simples de texto con una aplicación por linea. Por defecto, cuando un archivo de cola es cargado en la interfaz dialog, la aplicacion es seleccionada o ``ON.'' Esto puede ser cambiado insertando un ``-'' enfrente del nombre de la aplicacion en el archivo de cola. Tambien, los archivos de cola pueden referenciar a otro archivos de cola cuando el primer caracter es un ``@''. Ver el documento readme-queuefiles en el directorio de la documentacion para mas informacion.

Algunas caracteristicas de sbopkg confian en archivos binarios externos, como un paginador para ver los archivos de texto cuando sbopkg esta iniciado desde la linea de comandos, y un editor para editar los archivos .info o SlackBuild . Las funciones de paginacion miraran en la variable de entorno PAGER y, si esa variable no esta definida, mirara por defecto en mas. Similarmente, las funciones de edicion, las buscara en EDITOR y lo hara por defecto en vi. Si el usuario quiere que sbopkg use otro editor, como nano, entonces añadir la informacion necesitada en ~/.bashrc, /etc/profile, u otro archivo de configuracion similar para exportar EDITOR sera suficiente.

OPCIONES

-b PAQUETE(s)/ARCHIVO(s) DE COLA
    Construye paquetes de el(los) argumento(s) del repositorio activo. Si esta especificado más de un paquete, pueden ambos ser citados o el cambio puede ser dado en tiempos multiples. Usando esta segunda forma, una lista separada con dos puntos listara las opciones que pueden ser dadas. Si ocurren espacios en blanco entre los dos puntos, debera ser citado.

    Por ejemplo:

        # sbopkg -b "foo bar"

    sera construido foo y entonces bar.

    O

        # sbopkg -b app1:opt1="foo bar":opt2=baz -b app2:opt=mu

    sera construido app1 con las opciones ``foo bar'' y ``baz'', y app2 con la opcion ``mu''.

    Los nombres de los archivos de colas pueden tambien ser especificados. En este caso, todos los paquetes especificados en el archivo de cola seran construidos En el desafortunado caso de que un token coincida con un un nombre de archivo de cola y un nombre de paquete (p.e., el usuario llamo un archivo de cola con el nombre de un paquete). sbopkg le preguntara al usuario cual deberia ser usada. Una forma de evitar esto es especificar el archivo de cola con la extension .sqf . Tambien, una mezcla de ambos paquetes y archivos de colas puede ser dada. Los tokens (nombres de paquetes o archivos de colas) son procesados en el orden que son especificados en la linea de comandos, y la orden de construccion especificada en los archivos de colas es retenida. Si un paquete es más especifico que otro, se pone en cola el primero que es encontrado.

-c  Muestra una lista de paquetes SBo instalados y actualizaciones potenciales.

-d DIRECTORIO
    Especifica manualmente la ruta entera hasta el DIRECTORIO
     que contiene el repositorio SBo local.

-e ask|continue|stop
    Especifica lo que sbopkg debe hacer cuando encuentra un error durante la construccion de un paquete. Opciones validas son:

    ask: Este es el comportamiento por defecto, preguntando al usuario que hacer.

    continue: Ignora el error y continua procesando (como si la respuesta del usuario hubiese sido ``Si'' a todas las preguntas).

    stop: Para el proceso (actua como si el usuario hubiera respondido ``No'' a todas las preguntas).

-f ARCHIVO
    Sobreescribe el archivo de configuracion por defecto, /etc/sbopkg/sbopkg.conf, con ARCHIVO.

-g PAQUETE(s)
    Busqueda general de PAQUETE(s) sin diferenciar entre mayusculas y minusculas donde el argumento es automaticamente *s. Si mas de un glob es especificado, debe ser citado o la bandera -g debe ser usada multiples veces, una para cada glob.

    Por ejemplo:

        # sbopkg -g "foo bar"

    devolvera una lista de paquetes con foo o bar en sus nombres.

-h  Muestra la ayuda.

-i PAQUETE(s)/ARCHIVO(s) DE COLA(s)
    Construye e instala los paquetes de el(los) argumento(s) del repositorio activo.

    Ver la opcion -b para mas detalles, ya que, aparte de la instalacion, estas dos opciones operan similarmente.

    Considere cuidadosamente el orden de los paquetes listados, el usuario debe ser capaz de construir e instalar las dependencias en el orden correcto antes de que la aplicacion final es construida e instalada. Por supuesto, dada la naturaleza de las dependencias, esto no es siempre posible, asique construir dependencias no es realmente una funcion soportada. Aun asi, cuando esto trabaja, puede ser util.

-k  Cuando se usa junto con -b o -i, esta opcion le dice a sbopkg que omita (p.e., no construir) cualquier paquete que encuentre ya instalado.

    Por favor, note que solo se lleva a cabo la comparacion por nombre, asique cuando esta opcion es especificada sbopkg tambien omitira la construcción de diferentes versiones de paquetes instalados.

-l  Muestra el SBo ChangeLog y sale.

-o  Lista los archivos de fuente cacheados actualmente instalados, los cuales se consideran obsoletos, y opcionalmente borrados.

    Los archivos fuente son obsoletos cuando el(los) campo(s) de DESCARGA de archivos .info se referencian a unos menores, lo cual es algo que puede pasar despues de sincronizar el repositorio local.

    Por favor, note que solo el repositorio activo actual es usado para identificar los fuentes obsoletos, asique si el usuario construye paquetes con repositorios diferentes (p.e., para diferentes versiones de Slackware) los archivos fuente solo se usaran en el ``otro'' repositorio que seran listados.

-P  Lista los archivos de paquete cacheados que no estan actualmente instalados en el sistema y opcionalmente se borran.

-p  Lista paquetes SBo instalados.

-q  Permite el ``modo silencio.''Enable the ``quiet mode.'' Cuando esta bandera esta especificada, la salida de algunas opciones de comandos es reducida.

-R  Muestra todos los archivos LÉEME de los paquetes de archivos de cola antes de empezar la construccion. Esto es util cuando el usuario quiere hacer una comprobacion final.

-r  ``Resincroniza'' el repositorio local con SBo y sale.

-s PAQUETE(s)
    Busqueda especifica de PAQUETE(s) diferenciando mayusculas y minusculas y, si lo encuentra, muestra los archivos README, SlackBuild, .info, y slack-desc en el orden en el que cada PAQUETE fue encontrado, usando $PAGER. Si mas de un glob es especificado, debera ser citado o la bandera -s debe ser usada multiples veces, una para cada glob.

    Por ejemplo:

        # sbopkg -s "foo bar"

    mostrara todos los archivos antes mencionados para los paquetes cuyos nombres son exactamente foo o bar.

    Notese que los metacaracteres de la shell deben ser proporcionados en los argumentos. Por ejemplo,

        # sbopkg -s '*[Oo]pen*'

    devolvera todos los paquetes con 'open' o 'Open' en cualquier sitio del nombre. Si devuelve muchas aplicaciones, se le presentaran al usuario como un menu en el cual seleccionarlas.

-u  Busca una actualizacion para sbopkg y sale.

-V VERSIÓN
    Establece el repositorio y la rama a usar.

    Para una lista valida de ramas, invocar sbopkg como

        # sbopkg -V ?

    Ver la pagina de manual sbopkg.conf(5) para mas informacion sobre el repositorio ``local''.

    El formato de VERSIÓN es repositorio/rama (p.e., SBo/13.1). Si el repositorio es omitido, sbopkg primero buscara la rama especifica en el repositorio por defecto. Si este intento falla, sbopkg buscara la primera rama marcada en cualquier repositorio.

-v  Imprime la version actual de sbopkg en stdout.

FILES

/etc/sbopkg/sbopkg.conf
    Archivo de todo el sistema por defecto para especificar sus opciones de configuracion.

/etc/sbopkg/renames.d/50-default
    Archivo por defecto que lista el software en los repositorios de SBo que ha cambiado de nombre. Ver tambien README-renames.d documentado en el directorio de documentacion de sbopkg para mas información.

/etc/sbopkg/repos.d/{40-sbo.repo,50-sb64.repo,60-local.repo}
    Tres archivos por defecto para diversos tipos de repositorios sbopkg . Ver tambien README-repos.d documentado en el directorio de documentacion de sbopkg para mas información.

AUTORES
Chess Griffin <chess@chessgriffin.com>

Mauro Giachero <mauro.giachero@gmail.com>

slakmagik <slakmagik@gmail.com>

VER TAMBIEN
dialog(1), more(1), removepkg(8), rsync(1), sbopkg.conf(5), su(1), upgradepkg(8), vi(1), /usr/doc/sbopkg-0.34.0/*

TRADUCCION
Esta traduccion ha sido realizada por Pablo Castaño Fernandez <waruto@hurricane-project.org> el 17 de Enero de 2011. Envien todos los errores a ese correo.